Environments - List
Get all environments.
GET https://dev.azure.com/{organization}/{project}/_apis/distributedtask/environments?api-version=6.0-preview.1
GET https://dev.azure.com/{organization}/{project}/_apis/distributedtask/environments?name={name}&continuationToken={continuationToken}&$top={$top}&api-version=6.0-preview.1
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
organization
|
path | True |
string |
The name of the Azure DevOps organization. |
|
project
|
path | True |
string |
Project ID or project name |
|
api-version
|
query | True |
string |
Version of the API to use. This should be set to '6.0-preview.1' to use this version of the api. |
|
$top
|
query |
integer (int32) |
||
|
continuation
|
query |
string |
||
|
name
|
query |
string |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
successful operation |
Security
accessToken
Personal access token. Use any value for the user name and the token as the password.
Type:
basic
Definitions
| Name | Description |
|---|---|
|
Environment |
Environment. |
|
Environment |
EnvironmentResourceReference. |
|
Environment |
Type of the resource. |
|
Identity |
|
|
Project |
|
|
Reference |
The class to represent a collection of REST reference links. |
EnvironmentInstance
Environment.
| Name | Type | Description |
|---|---|---|
| createdBy |
Identity reference of the user who created the Environment. |
|
| createdOn |
string (date-time) |
Creation time of the Environment |
| description |
string |
Description of the Environment. |
| id |
integer (int32) |
Id of the Environment |
| lastModifiedBy |
Identity reference of the user who last modified the Environment. |
|
| lastModifiedOn |
string (date-time) |
Last modified time of the Environment |
| name |
string |
Name of the Environment. |
| project |
Project information for environment. |
|
| resources |
EnvironmentResourceReference. |
EnvironmentResourceReference
EnvironmentResourceReference.
| Name | Type | Description |
|---|---|---|
| id |
integer (int32) |
Id of the resource. |
| name |
string |
Name of the resource. |
| tags |
string[] |
Tags of the Environment Resource Reference. |
| type |
Type of the resource. |
EnvironmentResourceType
Type of the resource.
| Value | Description |
|---|---|
| undefined | |
| generic |
Unknown resource type |
| virtualMachine |
Virtual machine resource type |
| kubernetes |
Kubernetes resource type |
IdentityRef
| Name | Type | Description |
|---|---|---|
| _links |
This field contains zero or more interesting links about the graph subject. These links may be invoked to obtain additional relationships or more detailed information about this graph subject. |
|
| descriptor |
string |
The descriptor is the primary way to reference the graph subject while the system is running. This field will uniquely identify the same graph subject across both Accounts and Organizations. |
| directoryAlias |
string |
Deprecated - Can be retrieved by querying the Graph user referenced in the "self" entry of the IdentityRef "_links" dictionary |
| displayName |
string |
This is the non-unique display name of the graph subject. To change this field, you must alter its value in the source provider. |
| id |
string |
|
| imageUrl |
string |
Deprecated - Available in the "avatar" entry of the IdentityRef "_links" dictionary |
| inactive |
boolean |
Deprecated - Can be retrieved by querying the Graph membership state referenced in the "membershipState" entry of the GraphUser "_links" dictionary |
| isAadIdentity |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsAadUserType/Descriptor.IsAadGroupType) |
| isContainer |
boolean |
Deprecated - Can be inferred from the subject type of the descriptor (Descriptor.IsGroupType) |
| isDeletedInOrigin |
boolean |
|
| profileUrl |
string |
Deprecated - not in use in most preexisting implementations of ToIdentityRef |
| uniqueName |
string |
Deprecated - use Domain+PrincipalName instead |
| url |
string |
This url is the full route to the source resource of this graph subject. |
ProjectReference
| Name | Type | Description |
|---|---|---|
| id |
string (uuid) |
|
| name |
string |
ReferenceLinks
The class to represent a collection of REST reference links.
| Name | Type | Description |
|---|---|---|
| links |
object |
The readonly view of the links. Because Reference links are readonly, we only want to expose them as read only. |